# HostedZone (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.peer.data
Class HostedZone

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.whirled.zone.peer.data.HostedZone

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry

    public class HostedZone

extends com.threerings.io.SimpleStreamableObject
implements com.threerings.presents.dobj.DSet.Entry

Represents a zone hosted on some node.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`com.threerings.util.Name` `name` The name of the zone being hosted.
`int` `zoneId` The unique ID for the zone in question.

Constructor Summary
`HostedZone()`
`HostedZone(int zoneId, com.threerings.util.Name name)`

Method Summary
`Comparable<?>` `getKey()`

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### zoneId

    public int zoneId

  The unique ID for the zone in question.

### name

    public com.threerings.util.Name name

  The name of the zone being hosted.

Constructor Detail

### HostedZone

    public HostedZone()

### HostedZone

    public HostedZone(int zoneId,
                      com.threerings.util.Name name)

Method Detail

### getKey

    public Comparable<?> getKey()

  Specified by:
    `getKey` in interface `com.threerings.presents.dobj.DSet.Entry`

Copyright © 2011. All Rights Reserved.